Create and manage audio conferences with multiple participants
Conferences let you connect multiple participants in a single call. Using the Conference API, you can manage ongoing conferences, control individual members, and record conversations.Conferences are suited for traditional “meeting” use cases. For advanced contact center or sales dialer scenarios requiring more control, consider Multiparty Calls.
The Conference Object
string
Name used to identify the conference.
string
Time in seconds since the conference was initiated.
string
Number of members currently active in the conference.
array
Array of member objects in the conference.
Member Attributes
Each member in the members array has the following attributes:
string
Unique ID of the member within the conference.
boolean
true if the member is currently muted.
boolean
true if the member cannot hear conference audio.
string
Source of the call — PSTN number or SIP endpoint.
string
Conference bridge number — Plivo number or application URL.
using Plivo;var api = new PlivoApi("<auth_id>","<auth_token>");var response = api.Conference.Get(conferenceName: "My Conf Room");Console.WriteLine(response);
using Plivo;var api = new PlivoApi("<auth_id>","<auth_token>");var response = api.Conference.Delete(conferenceName: "My Conf Room");Console.WriteLine(response);
Speak text to specific members using text-to-speech.
POST https://api.plivo.com/v1/Account/{auth_id}/Conference/{conference_name}/Member/{member_id}/Speak/
Parameter
Required
Description
text
Yes
Text to speak.
voice
No
Voice type. Values: MAN, WOMAN. Default: WOMAN.
language
No
Language code. Default: en-US.
curl -i --user AUTH_ID:AUTH_TOKEN \ -H "Content-Type: application/json" \ -d '{"text":"Hello, welcome to the conference"}' \ https://api.plivo.com/v1/Account/{auth_id}/Conference/{conference_name}/Member/{member_id}/Speak/
import plivoclient = plivo.RestClient('<auth_id>','<auth_token>')response = client.conferences.member_speak( conference_name='My Conf Room', member_id='10', text='Hello, welcome to the conference')print(response)
require 'plivo'api = Plivo::RestClient.new("<auth_id>","<auth_token>")response = api.conferences.speak_member( 'My Conf Room', [10], 'Hello, welcome to the conference')puts response
const plivo = require('plivo');const client = new plivo.Client("<auth_id>","<auth_token>");client.conferences.speakTextToMember( "My Conf Room", 10, "Hello, welcome to the conference").then(console.log);
Response
string
Status of the request. Returns speak queued into conference on a successful request.
string
Unique identifier for the API request.
string
Unique ID of the member within the conference.
{ "message": "speak queued into conference", "api_id": "4e44bd4e-f830-11e6-b886-067c5485c240", "member_id": "10"}
using Plivo;var api = new PlivoApi("<auth_id>","<auth_token>");var response = api.Conference.StartRecording("My Conf Room");Console.WriteLine(response);
using Plivo;var api = new PlivoApi("<auth_id>","<auth_token>");var response = api.Conference.StopRecording("My Conf Room");Console.WriteLine(response);